dan200.computercraft.api.lua

## Class LuaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - dan200.computercraft.api.lua.LuaException

All Implemented Interfaces:
  java.io.Serializable

    public class LuaException
    extends java.lang.Exception

An exception representing an error in Lua, like that raised by the error() function

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LuaException()`
`LuaException(java.lang.String message)`
`LuaException(java.lang.String message, int level)`

### Method Summary

Methods
`int` `getLevel()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LuaException

    public LuaException()

#### LuaException

    public LuaException(java.lang.String message)

#### LuaException

    public LuaException(java.lang.String message,
                int level)

### Method Detail

#### getLevel

    public int getLevel()